## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-crypt-r
Version:        3.13.1
Release:        %autorelease
Summary:        A copy of the `crypt` module that was removed in Python 3.13

License:        Python-2.0.1
URL:            https://github.com/fedora-python/crypt_r
Source:         %{pypi_source crypt_r}

BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  libxcrypt-devel


%global _description %{expand:
The crypt_r module is a renamed copy of the crypt module as it was present in
Python 3.12 before it was removed.

See PEP 594 for details of the removal.

Unlike crypt, this library always exposes the crypt_r(3) function, not crypt(3).

This module implements an interface to the crypt_r(3) routine, which is
a one-way hash function based upon a modified DES algorithm; see the Unix man
page for further details. Possible uses include storing hashed passwords so you
can check passwords without storing the actual password, or attempting to crack
Unix passwords with a dictionary.}

%description %_description

%package -n     python3-crypt-r
Summary:        %{summary}

%description -n python3-crypt-r %_description


%prep
%autosetup -p1 -n crypt_r-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l _crypt_r crypt_r crypt


%check
# from tox.ini:
%{py3_test_envvars} %{python3} tests/test_crypt_r.py


%files -n python3-crypt-r -f %{pyproject_files}
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.13.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 3.13.1-2
- Rebuilt for Python 3.13

* Thu May 02 2024 Miro Hrončok <miro@hroncok.cz> - 3.13.1-1
- Initial import
- Fixes: rhbz#2277759
## END: Generated by rpmautospec
